Get an asset's metadata
GET /api/assets/{id}. Get an asset's metadata. Headless LMS Assets API reference.
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/assets/string"{ "orgId": "string", "id": "string", "key": "string", "kind": "video", "filename": "string", "contentType": "string", "size": 0, "status": "pending", "uploadedBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Browse the organization's media library GET
GET /api/assets. Browse the organization's media library. Headless LMS Assets API reference.
Delete an asset (removes the object from storage) DELETE
DELETE /api/assets/{id}. Delete an asset (removes the object from storage). Headless LMS Assets API reference.